﻿using System;
using System.Threading.Tasks;
using Gallery.Util.Interface;
using Gallery.Util.Model;
using Xamarin.Forms;

namespace Gallery.Gelbooru
{
    public class GallerySource : IGallerySource
    {
        public string Name => "Gelbooru";
        public string Route => "gelbooru";
        public string FlyoutIconKey => "Gelbooru";
        public string HomePage => "https://gelbooru.com";

        public Task<GalleryItem[]> GetRecentItemsAsync(int page)
        {
            throw new NotImplementedException();
        }

        public void SetCookie()
        {
            throw new NotImplementedException();
        }

        public void InitDynamicResources(string family, ResourceDictionary light, ResourceDictionary dark)
        {
            var icon = new FontImageSource
            {
                FontFamily = family,
                Glyph = "\uf5d2",
                Size = 18.0
            };
            light.Add(FlyoutIconKey, icon);
            dark.Add(FlyoutIconKey, icon);
        }
    }
}
